Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5573 - RH 6.1 upgrade installs a lilo.conf which clobbers MBR
Summary: RH 6.1 upgrade installs a lilo.conf which clobbers MBR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 12:12 UTC by Habig, Alec
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-21 21:08:14 UTC


Attachments (Terms of Use)

Description Habig, Alec 1999-10-05 12:12:38 UTC
In addition to not backing up the existing lilo.conf (see
bug 5512), the RH 6.1 upgrade script neither asks where you
want lilo installed nor looks at your old configuration.  It
points at the MBR (eg, /dev/hda) with no chance of setting
it to the boot partition instead (eg, /dev/hda5).

This rather microsoftish behavior forces a re-install of
whatever other boot manager software one might already be
using.

Comment 1 olorin 1999-10-09 09:34:59 UTC
This particular bug buggered up my perfectly working lilo setup so
badly I couldnt boot off the harddrive after the reboot.
I think the problem was exasperated by the fact that I had a windows
partition marked bootable but in fact had nothing but old data on it.

Comment 2 adrian.lawrence 1999-10-22 18:50:59 UTC
I also suffered from this. Please note that some systems *have* to
boot via loadlin. The old install systems in expert mode used to
request permission to actually run lilo, as opposed to merely
upgrading an rpm. Summary *expert upgrade* must not assume lilo.

Even when lilo is used, it is likely that an expert user has a later
kernel installed with /etc/conf.modules and /etc/lilo.conf customized
to match. After all 2.2.13 is already out, not to mention 2.3.*.

Please revert as a matter of urgency!

Comment 3 ppera 1999-12-06 15:07:59 UTC
I also had this problem when made upgrade from RH 6 to 6.1. I can add that
upgrader (installer) also forgot to offer making boot floppy with new kernel
for ver. 6.1, what would be very velcome in case when you reinstall old boot-
manager (Select-it in my case), and then Lilo 0.21 (installed in boot sector of
Linux part.) works not. And I don't think that it has any relation with what
partition are on hard disk.

Comment 4 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 5 Bernhard Rosenkraenzer 2000-02-16 15:34:59 UTC
Reassigned to installer - the lilo package doesn't break lilo.conf. The
installer does.

Comment 6 Jeremy Katz 2000-02-17 00:12:59 UTC
If I remember correctly, this is one of the fixes that appeared on the
updates.img for 6.1.  The bug is definitely not present in the 6.2 beta


Note You need to log in before you can comment on or make changes to this bug.